public inbox for gentoo-catalyst@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-catalyst] [PATCH 1/7] catalyst: Set stage_path = chroot_path + root_path
@ 2020-12-20  2:28 Matt Turner
  2020-12-20  2:28 ` [gentoo-catalyst] [PATCH 2/7] catalyst: Remove set_dest_path() Matt Turner
                   ` (5 more replies)
  0 siblings, 6 replies; 7+ messages in thread
From: Matt Turner @ 2020-12-20  2:28 UTC (permalink / raw
  To: gentoo-catalyst; +Cc: Matt Turner

Signed-off-by: Matt Turner <mattst88@gentoo.org>
---
 catalyst/base/stagebase.py | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/catalyst/base/stagebase.py b/catalyst/base/stagebase.py
index fe79b55a..ba6b1a1b 100644
--- a/catalyst/base/stagebase.py
+++ b/catalyst/base/stagebase.py
@@ -545,7 +545,8 @@ class StageBase(TargetBase, ClearBase, GenBase):
             self.settings["catalyst_use"].append("bindist")
 
     def set_stage_path(self):
-        self.settings["stage_path"] = normpath(self.settings["chroot_path"])
+        self.settings["stage_path"] = normpath(self.settings["chroot_path"] +
+                                               self.settings["root_path"])
 
     def set_packages(self):
         pass
-- 
2.26.2



^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-catalyst] [PATCH 2/7] catalyst: Remove set_dest_path()
  2020-12-20  2:28 [gentoo-catalyst] [PATCH 1/7] catalyst: Set stage_path = chroot_path + root_path Matt Turner
@ 2020-12-20  2:28 ` Matt Turner
  2020-12-20  2:28 ` [gentoo-catalyst] [PATCH 3/7] catalyst: Remove some redundant set_stage_path()s Matt Turner
                   ` (4 subsequent siblings)
  5 siblings, 0 replies; 7+ messages in thread
From: Matt Turner @ 2020-12-20  2:28 UTC (permalink / raw
  To: gentoo-catalyst; +Cc: Matt Turner

root_path is always set, so half of this function was dead. The other
half set the same thing as set_stage_path().

Signed-off-by: Matt Turner <mattst88@gentoo.org>
---
 catalyst/base/stagebase.py            | 20 ++++++--------------
 targets/support/target_image_setup.sh |  4 ++--
 2 files changed, 8 insertions(+), 16 deletions(-)

diff --git a/catalyst/base/stagebase.py b/catalyst/base/stagebase.py
index ba6b1a1b..ed4d1227 100644
--- a/catalyst/base/stagebase.py
+++ b/catalyst/base/stagebase.py
@@ -154,7 +154,6 @@ class StageBase(TargetBase, ClearBase, GenBase):
         self.set_source_path()
         self.set_chroot_path()
         self.set_autoresume_path()
-        self.set_dest_path()
         self.set_stage_path()
         self.set_target_path()
 
@@ -426,13 +425,6 @@ class StageBase(TargetBase, ClearBase, GenBase):
                         self.generate_hash(self.settings["source_path"], "sha1")
         log.notice('Source path set to %s', self.settings['source_path'])
 
-    def set_dest_path(self):
-        if "root_path" in self.settings:
-            self.settings["destpath"] = normpath(self.settings["chroot_path"] +
-                                                 self.settings["root_path"])
-        else:
-            self.settings["destpath"] = normpath(self.settings["chroot_path"])
-
     def set_cleanables(self):
         self.settings['cleanables'] = [
             "/etc/resolv.conf",
@@ -845,7 +837,7 @@ class StageBase(TargetBase, ClearBase, GenBase):
                                    "/root_overlay"]:
                 if os.path.exists(x):
                     log.info('Copying root_overlay: %s', x)
-                    cmd(['rsync', '-a', x + '/', self.settings['destpath']],
+                    cmd(['rsync', '-a', x + '/', self.settings['stage_path']],
                         env=self.env)
 
     def bind(self):
@@ -1095,7 +1087,7 @@ class StageBase(TargetBase, ClearBase, GenBase):
         else:
             for x in self.settings["cleanables"]:
                 log.notice('Cleaning chroot: %s', x)
-                clear_path(normpath(self.settings["destpath"] + x))
+                clear_path(normpath(self.settings["stage_path"] + x))
 
         # Put /etc/hosts back into place
         hosts_file = self.settings['chroot_path'] + '/etc/hosts'
@@ -1119,14 +1111,14 @@ class StageBase(TargetBase, ClearBase, GenBase):
             log.debug("clean(), portage_preix = %s, no sticky-config",
                       self.settings["portage_prefix"])
             for _dir in "package.accept_keywords", "package.keywords", "package.mask", "package.unmask", "package.use", "package.env", "env":
-                target = pjoin(self.settings["destpath"],
+                target = pjoin(self.settings["stage_path"],
                                "etc/portage/%s" % _dir,
                                self.settings["portage_prefix"])
                 log.notice("Clearing portage_prefix target: %s", target)
                 clear_path(target)
 
         # Remove hacks that should *never* go into stages
-        target = pjoin(self.settings["destpath"], "etc/portage/patches")
+        target = pjoin(self.settings["stage_path"], "etc/portage/patches")
         if os.path.exists(target):
             log.warning("You've been hacking. Clearing target patches: %s", target)
             clear_path(target)
@@ -1172,7 +1164,7 @@ class StageBase(TargetBase, ClearBase, GenBase):
                     self.settings[self.settings["spec_prefix"] +
                                   "/empty"].split()
             for x in self.settings[self.settings["spec_prefix"] + "/empty"]:
-                myemp = self.settings["destpath"] + x
+                myemp = self.settings["stage_path"] + x
                 if not os.path.isdir(myemp) or os.path.islink(myemp):
                     log.warning('not a directory or does not exist, '
                                 'skipping "empty" operation: %s', x)
@@ -1192,7 +1184,7 @@ class StageBase(TargetBase, ClearBase, GenBase):
                 # We're going to shell out for all these cleaning
                 # operations, so we get easy glob handling.
                 log.notice('%s: removing %s', self.settings["spec_prefix"], x)
-                clear_path(self.settings["destpath"] + x)
+                clear_path(self.settings["stage_path"] + x)
             try:
                 if os.path.exists(self.settings["controller_file"]):
                     cmd([self.settings['controller_file'], 'clean'],
diff --git a/targets/support/target_image_setup.sh b/targets/support/target_image_setup.sh
index fdc4a234..f9427eaf 100755
--- a/targets/support/target_image_setup.sh
+++ b/targets/support/target_image_setup.sh
@@ -7,11 +7,11 @@ mkdir -p "${1}"
 echo "Creating ${clst_fstype} filesystem"
 case ${clst_fstype} in
 	squashfs)
-		gensquashfs -D "${clst_destpath}" -q ${clst_fsops} "${1}/image.squashfs" \
+		gensquashfs -D "${clst_stage_path}" -q ${clst_fsops} "${1}/image.squashfs" \
 			|| die "Failed to create squashfs filesystem"
 	;;
 	jffs2)
-		mkfs.jffs2 --root="${clst_destpath}" --output="${1}/image.jffs" "${clst_fsops}" \
+		mkfs.jffs2 --root="${clst_stage_path}" --output="${1}/image.jffs" "${clst_fsops}" \
 			|| die "Failed to create jffs2 filesystem"
 	;;
 esac
-- 
2.26.2



^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-catalyst] [PATCH 3/7] catalyst: Remove some redundant set_stage_path()s
  2020-12-20  2:28 [gentoo-catalyst] [PATCH 1/7] catalyst: Set stage_path = chroot_path + root_path Matt Turner
  2020-12-20  2:28 ` [gentoo-catalyst] [PATCH 2/7] catalyst: Remove set_dest_path() Matt Turner
@ 2020-12-20  2:28 ` Matt Turner
  2020-12-20  2:28 ` [gentoo-catalyst] [PATCH 4/7] targets: Remove EBEEP_IGNORE / EPAUSE_IGNORE Matt Turner
                   ` (3 subsequent siblings)
  5 siblings, 0 replies; 7+ messages in thread
From: Matt Turner @ 2020-12-20  2:28 UTC (permalink / raw
  To: gentoo-catalyst; +Cc: Matt Turner

We only need to override root_path, and stage_path will be configured
properly.

Signed-off-by: Matt Turner <mattst88@gentoo.org>
---
 catalyst/targets/embedded.py | 5 -----
 catalyst/targets/stage1.py   | 5 -----
 2 files changed, 10 deletions(-)

diff --git a/catalyst/targets/embedded.py b/catalyst/targets/embedded.py
index e9138437..918b36bf 100644
--- a/catalyst/targets/embedded.py
+++ b/catalyst/targets/embedded.py
@@ -65,11 +65,6 @@ class embedded(StageBase):
             "clear_autoresume",
         ])
 
-    def set_stage_path(self):
-        self.settings["stage_path"] = normpath(
-            self.settings["chroot_path"]+"/tmp/mergeroot")
-        log.info('embedded stage path is %s', self.settings['stage_path'])
-
     def set_root_path(self):
         self.settings["root_path"] = normpath("/tmp/mergeroot")
         log.info('embedded root path is %s', self.settings['root_path'])
diff --git a/catalyst/targets/stage1.py b/catalyst/targets/stage1.py
index be3eae93..5aa27bb9 100644
--- a/catalyst/targets/stage1.py
+++ b/catalyst/targets/stage1.py
@@ -23,11 +23,6 @@ class stage1(StageBase):
     def __init__(self, spec, addlargs):
         StageBase.__init__(self, spec, addlargs)
 
-    def set_stage_path(self):
-        self.settings["stage_path"] = normpath(
-            self.settings["chroot_path"]+self.settings["root_path"])
-        log.notice('stage1 stage path is %s', self.settings['stage_path'])
-
     def set_root_path(self):
         # sets the root path, relative to 'chroot_path', of the stage1 root
         self.settings["root_path"] = normpath("/tmp/stage1root")
-- 
2.26.2



^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-catalyst] [PATCH 4/7] targets: Remove EBEEP_IGNORE / EPAUSE_IGNORE
  2020-12-20  2:28 [gentoo-catalyst] [PATCH 1/7] catalyst: Set stage_path = chroot_path + root_path Matt Turner
  2020-12-20  2:28 ` [gentoo-catalyst] [PATCH 2/7] catalyst: Remove set_dest_path() Matt Turner
  2020-12-20  2:28 ` [gentoo-catalyst] [PATCH 3/7] catalyst: Remove some redundant set_stage_path()s Matt Turner
@ 2020-12-20  2:28 ` Matt Turner
  2020-12-20  2:28 ` [gentoo-catalyst] [PATCH 5/7] targets: Pass separate arguments to run_merge() Matt Turner
                   ` (2 subsequent siblings)
  5 siblings, 0 replies; 7+ messages in thread
From: Matt Turner @ 2020-12-20  2:28 UTC (permalink / raw
  To: gentoo-catalyst; +Cc: Matt Turner

Signed-off-by: Matt Turner <mattst88@gentoo.org>
---
 targets/support/chroot-functions.sh | 2 --
 1 file changed, 2 deletions(-)

diff --git a/targets/support/chroot-functions.sh b/targets/support/chroot-functions.sh
index 89a313f7..d125756f 100755
--- a/targets/support/chroot-functions.sh
+++ b/targets/support/chroot-functions.sh
@@ -260,8 +260,6 @@ run_merge() {
 
 	export EMERGE_WARNING_DELAY=0
 	export CLEAN_DELAY=0
-	export EBEEP_IGNORE=0
-	export EPAUSE_IGNORE=0
 	[[ $CONFIG_PROTECT != "-*"* ]] && export CONFIG_PROTECT="-*"
 
 	if [ -n "${clst_VERBOSE}" ]
-- 
2.26.2



^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-catalyst] [PATCH 5/7] targets: Pass separate arguments to run_merge()
  2020-12-20  2:28 [gentoo-catalyst] [PATCH 1/7] catalyst: Set stage_path = chroot_path + root_path Matt Turner
                   ` (2 preceding siblings ...)
  2020-12-20  2:28 ` [gentoo-catalyst] [PATCH 4/7] targets: Remove EBEEP_IGNORE / EPAUSE_IGNORE Matt Turner
@ 2020-12-20  2:28 ` Matt Turner
  2020-12-20  2:28 ` [gentoo-catalyst] [PATCH 6/7] targets: Remove make_destpath() function Matt Turner
  2020-12-20  2:28 ` [gentoo-catalyst] [PATCH 7/7] targets: Emerge stage1 with --implicit-system-deps=n Matt Turner
  5 siblings, 0 replies; 7+ messages in thread
From: Matt Turner @ 2020-12-20  2:28 UTC (permalink / raw
  To: gentoo-catalyst; +Cc: Matt Turner

Signed-off-by: Matt Turner <mattst88@gentoo.org>
---
 targets/stage1/chroot.sh | 8 ++++----
 targets/stage3/chroot.sh | 2 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/targets/stage1/chroot.sh b/targets/stage1/chroot.sh
index 6b9bfb3e..33d5c3c9 100755
--- a/targets/stage1/chroot.sh
+++ b/targets/stage1/chroot.sh
@@ -33,9 +33,9 @@ if [ -n "${clst_update_seed}" ]; then
 	if [ "${clst_update_seed}" == "yes" ]; then
 		echo "Updating seed stage..."
 		if [ -n "${clst_update_seed_command}" ]; then
-			clst_root_path=/ run_merge "--buildpkg=n ${clst_update_seed_command}"
+			clst_root_path=/ run_merge --buildpkg=n "${clst_update_seed_command}"
 		else
-			clst_root_path=/ run_merge "--update --deep --newuse --complete-graph --rebuild-if-new-ver gcc"
+			clst_root_path=/ run_merge --update --deep --newuse --complete-graph --rebuild-if-new-ver gcc
 		fi
 	elif [ "${clst_update_seed}" != "no" ]; then
 		echo "Invalid setting for update_seed: ${clst_update_seed}"
@@ -55,7 +55,7 @@ make_destpath "${clst_root_path}"
 ## START BUILD
 # First, we drop in a known-good baselayout
 [ -e ${clst_make_conf} ] && echo "USE=\"${USE} -build\"" >> ${clst_make_conf}
-run_merge "--oneshot --nodeps sys-apps/baselayout"
+run_merge --oneshot --nodeps sys-apps/baselayout
 sed -i "/USE=\"${USE} -build\"/d" ${clst_make_conf}
 
 echo "$locales" > /etc/locale.gen
@@ -76,7 +76,7 @@ if [ -e ${clst_make_conf} ]; then
 	done
 fi
 
-run_merge "--oneshot ${buildpkgs[@]}"
+run_merge --oneshot "${buildpkgs[@]}"
 
 # TODO: Drop this when locale-gen in stable glibc supports ROOT.
 #
diff --git a/targets/stage3/chroot.sh b/targets/stage3/chroot.sh
index 37001db0..7dc1b6ea 100755
--- a/targets/stage3/chroot.sh
+++ b/targets/stage3/chroot.sh
@@ -6,7 +6,7 @@ export CONFIG_PROTECT="-* /etc/locale.gen"
 
 echo "$locales" > /etc/locale.gen
 
-run_merge "-e --update --deep --with-bdeps=y @system"
+run_merge -e --update --deep --with-bdeps=y @system
 
 # Replace modified /etc/locale.gen with default
 etc-update --automode -5
-- 
2.26.2



^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-catalyst] [PATCH 6/7] targets: Remove make_destpath() function
  2020-12-20  2:28 [gentoo-catalyst] [PATCH 1/7] catalyst: Set stage_path = chroot_path + root_path Matt Turner
                   ` (3 preceding siblings ...)
  2020-12-20  2:28 ` [gentoo-catalyst] [PATCH 5/7] targets: Pass separate arguments to run_merge() Matt Turner
@ 2020-12-20  2:28 ` Matt Turner
  2020-12-20  2:28 ` [gentoo-catalyst] [PATCH 7/7] targets: Emerge stage1 with --implicit-system-deps=n Matt Turner
  5 siblings, 0 replies; 7+ messages in thread
From: Matt Turner @ 2020-12-20  2:28 UTC (permalink / raw
  To: gentoo-catalyst; +Cc: Matt Turner

It just read clst_root_path, exported it as ROOT, and ensured that a
directory existed at $ROOT. Setting and resetting clst_* variables adds
a lot of confusion, so just use ROOT directly.

Signed-off-by: Matt Turner <mattst88@gentoo.org>
---
 targets/embedded/chroot.sh          | 15 ++++++--------
 targets/netboot/controller.sh       |  2 +-
 targets/netboot/pkg.sh              |  2 +-
 targets/stage1/chroot.sh            | 12 ++++++-----
 targets/stage1/controller.sh        |  4 ++--
 targets/support/chroot-functions.sh | 32 ++++++-----------------------
 6 files changed, 23 insertions(+), 44 deletions(-)

diff --git a/targets/embedded/chroot.sh b/targets/embedded/chroot.sh
index 2fbba278..11068388 100755
--- a/targets/embedded/chroot.sh
+++ b/targets/embedded/chroot.sh
@@ -2,14 +2,11 @@
 
 source /tmp/chroot-functions.sh
 
-# Setup the environment
-export DESTROOT="${clst_root_path}"
-export clst_root_path="/"
+echo "Installing dependencies..."
+ROOT=/ run_merge -o "${clst_embedded_packages}"
 
-echo "Installing dependencies into ${DESTROOT}..."
-run_merge -o "${clst_embedded_packages}"
+export ROOT="${clst_root_path}"
+mkdir -p "$ROOT"
 
-export clst_root_path="${DESTROOT}"
-export INSTALL_MASK="${clst_install_mask}"
-
-run_merge -1 -O "${clst_embedded_packages}"
+INSTALL_MASK="${clst_install_mask}" \
+	run_merge -1 -O "${clst_embedded_packages}"
diff --git a/targets/netboot/controller.sh b/targets/netboot/controller.sh
index 9a6e14d2..cc946c2c 100755
--- a/targets/netboot/controller.sh
+++ b/targets/netboot/controller.sh
@@ -6,7 +6,7 @@ case ${1} in
 	build_packages)
 		echo ">>> Building packages ..."
 		shift
-		clst_root_path="/" \
+		ROOT="/" \
 		clst_packages="$*" \
 		exec_in_chroot \
 		${clst_shdir}/${clst_target}/pkg.sh
diff --git a/targets/netboot/pkg.sh b/targets/netboot/pkg.sh
index 2ec27062..2ad9491c 100755
--- a/targets/netboot/pkg.sh
+++ b/targets/netboot/pkg.sh
@@ -10,4 +10,4 @@ show_debug
 
 # START BUILD
 
-run_merge ${clst_packages}
+ROOT="$ROOT" run_merge ${clst_packages}
diff --git a/targets/stage1/chroot.sh b/targets/stage1/chroot.sh
index 33d5c3c9..b733fc57 100755
--- a/targets/stage1/chroot.sh
+++ b/targets/stage1/chroot.sh
@@ -33,9 +33,9 @@ if [ -n "${clst_update_seed}" ]; then
 	if [ "${clst_update_seed}" == "yes" ]; then
 		echo "Updating seed stage..."
 		if [ -n "${clst_update_seed_command}" ]; then
-			clst_root_path=/ run_merge --buildpkg=n "${clst_update_seed_command}"
+			ROOT=/ run_merge --buildpkg=n "${clst_update_seed_command}"
 		else
-			clst_root_path=/ run_merge --update --deep --newuse --complete-graph --rebuild-if-new-ver gcc
+			ROOT=/ run_merge --update --deep --newuse --complete-graph --rebuild-if-new-ver gcc
 		fi
 	elif [ "${clst_update_seed}" != "no" ]; then
 		echo "Invalid setting for update_seed: ${clst_update_seed}"
@@ -50,7 +50,9 @@ fi
 
 # Clear USE
 [ -e ${clst_make_conf} ] && sed -i -e "/^USE=\"${BINDIST} ${USE}\"/d" ${clst_make_conf}
-make_destpath "${clst_root_path}"
+
+export ROOT="${clst_root_path}"
+mkdir -p "$ROOT"
 
 ## START BUILD
 # First, we drop in a known-good baselayout
@@ -59,7 +61,7 @@ run_merge --oneshot --nodeps sys-apps/baselayout
 sed -i "/USE=\"${USE} -build\"/d" ${clst_make_conf}
 
 echo "$locales" > /etc/locale.gen
-for etc in /etc "${clst_root_path}"/etc; do
+for etc in /etc "$ROOT"/etc; do
 	echo "LANG=C.UTF8" > ${etc}/env.d/02locale
 done
 update_env_settings
@@ -84,7 +86,7 @@ run_merge --oneshot "${buildpkgs[@]}"
 # not run locale-gen when ROOT is set. Since we've set LANG, we need to run
 # locale-gen explicitly.
 if [ -x "$(command -v locale-gen)" ]; then
-	locale-gen --destdir "${clst_root_path}"/ || die "locale-gen failed"
+	locale-gen --destdir "$ROOT"/ || die "locale-gen failed"
 fi
 
 # Why are we removing these? Don't we need them for final make.conf?
diff --git a/targets/stage1/controller.sh b/targets/stage1/controller.sh
index f9dd4b9b..ab127114 100755
--- a/targets/stage1/controller.sh
+++ b/targets/stage1/controller.sh
@@ -10,8 +10,8 @@ case "$1" in
 		cp "${clst_shdir}/stage1/build.py" "${clst_chroot_path}/tmp"
 
 		# Setup "ROOT in chroot" dir
-		install -d "${clst_chroot_path}/${clst_root_path}/etc"
-		install -d "${clst_chroot_path}/${clst_root_path}${clst_port_conf}"
+		install -d "${clst_stage_path}/etc"
+		install -d "${clst_stage_path}/${clst_port_conf}"
 
 		# Setup make.conf and make.profile link in "ROOT in chroot":
 		copy_to_chroot "${clst_chroot_path}${clst_make_conf}" "${clst_root_path}${clst_port_conf}"
diff --git a/targets/support/chroot-functions.sh b/targets/support/chroot-functions.sh
index d125756f..2aec018e 100755
--- a/targets/support/chroot-functions.sh
+++ b/targets/support/chroot-functions.sh
@@ -60,7 +60,7 @@ setup_features() {
 	if [ -n "${clst_CCACHE}" ]
 	then
 		features+=(ccache)
-		clst_root_path=/ run_merge --oneshot --noreplace dev-util/ccache
+		ROOT=/ run_merge --oneshot --noreplace dev-util/ccache
 	fi
 
 	if [ -n "${clst_DISTCC}" ]
@@ -75,9 +75,9 @@ setup_features() {
 		# reinstall if it isn't found.
 		if [ "$(getent passwd distcc | cut -d: -f1)" != "distcc" ]
 		then
-			clst_root_path=/ run_merge --oneshot sys-devel/distcc
+			ROOT=/ run_merge --oneshot sys-devel/distcc
 		else
-			clst_root_path=/ run_merge --oneshot --noreplace sys-devel/distcc
+			ROOT=/ run_merge --oneshot --noreplace sys-devel/distcc
 		fi
 		sed -i '/USE="${USE} -avahi -gtk -gnome"/d' ${clst_make_conf}
 		mkdir -p /etc/distcc
@@ -96,7 +96,7 @@ setup_features() {
 
 	if [ -n "${clst_ICECREAM}" ]
 	then
-		clst_root_path=/ run_merge --oneshot --noreplace sys-devel/icecream
+		ROOT=/ run_merge --oneshot --noreplace sys-devel/icecream
 
 		# This sets up automatic cross-icecc-fu according to
 		# http://www.gentoo-wiki.info/HOWTO_Setup_An_ICECREAM_Compile_Cluster
@@ -193,7 +193,6 @@ cleanup_icecream() {
 }
 
 cleanup_stages() {
-	make_destpath
 	if [ -n "${clst_DISTCC}" ]
 	then
 		cleanup_distcc
@@ -238,26 +237,7 @@ die() {
 	exit 1
 }
 
-make_destpath() {
-	# ROOT is / by default, so remove any ROOT= settings from make.conf
-	sed -i '/ROOT=/d' ${clst_make_conf}
-	export ROOT=/
-	if [ "${1}" != "/" -a -n "${1}" ]
-	then
-		echo "ROOT=\"${1}\"" >> ${clst_make_conf}
-		export ROOT=${1}
-	fi
-	if [ ! -d ${ROOT} ]
-	then
-		install -d ${ROOT}
-	fi
-}
-
 run_merge() {
-	# Sets up the ROOT= parameter
-	# with no options ROOT=/
-	make_destpath ${clst_root_path}
-
 	export EMERGE_WARNING_DELAY=0
 	export CLEAN_DELAY=0
 	[[ $CONFIG_PROTECT != "-*"* ]] && export CONFIG_PROTECT="-*"
@@ -265,12 +245,12 @@ run_merge() {
 	if [ -n "${clst_VERBOSE}" ]
 	then
 		echo "ROOT=${ROOT} emerge ${emerge_opts[@]} -pt $@" || exit 1
-		emerge ${emerge_opts[@]} -pt $@ || exit 3
+		ROOT="$ROOT" emerge ${emerge_opts[@]} -pt $@ || exit 3
 	fi
 
 	echo "emerge ${emerge_opts[@]} $@" || exit 1
 
-	emerge ${emerge_opts[@]} $@ || exit 1
+	ROOT="$ROOT" emerge ${emerge_opts[@]} $@ || exit 1
 }
 
 show_debug() {
-- 
2.26.2



^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-catalyst] [PATCH 7/7] targets: Emerge stage1 with --implicit-system-deps=n
  2020-12-20  2:28 [gentoo-catalyst] [PATCH 1/7] catalyst: Set stage_path = chroot_path + root_path Matt Turner
                   ` (4 preceding siblings ...)
  2020-12-20  2:28 ` [gentoo-catalyst] [PATCH 6/7] targets: Remove make_destpath() function Matt Turner
@ 2020-12-20  2:28 ` Matt Turner
  5 siblings, 0 replies; 7+ messages in thread
From: Matt Turner @ 2020-12-20  2:28 UTC (permalink / raw
  To: gentoo-catalyst; +Cc: Matt Turner

Since we're emerging into a separate ROOT, we can use
--implicit-system-deps=n to gain some additional parallelism.

Signed-off-by: Matt Turner <mattst88@gentoo.org>
---
 targets/stage1/chroot.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/targets/stage1/chroot.sh b/targets/stage1/chroot.sh
index b733fc57..50afef4a 100755
--- a/targets/stage1/chroot.sh
+++ b/targets/stage1/chroot.sh
@@ -78,7 +78,7 @@ if [ -e ${clst_make_conf} ]; then
 	done
 fi
 
-run_merge --oneshot "${buildpkgs[@]}"
+run_merge --implicit-system-deps=n --oneshot "${buildpkgs[@]}"
 
 # TODO: Drop this when locale-gen in stable glibc supports ROOT.
 #
-- 
2.26.2



^ permalink raw reply related	[flat|nested] 7+ messages in thread

end of thread, other threads:[~2020-12-20  2:29 UTC | newest]

Thread overview: 7+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-12-20  2:28 [gentoo-catalyst] [PATCH 1/7] catalyst: Set stage_path = chroot_path + root_path Matt Turner
2020-12-20  2:28 ` [gentoo-catalyst] [PATCH 2/7] catalyst: Remove set_dest_path() Matt Turner
2020-12-20  2:28 ` [gentoo-catalyst] [PATCH 3/7] catalyst: Remove some redundant set_stage_path()s Matt Turner
2020-12-20  2:28 ` [gentoo-catalyst] [PATCH 4/7] targets: Remove EBEEP_IGNORE / EPAUSE_IGNORE Matt Turner
2020-12-20  2:28 ` [gentoo-catalyst] [PATCH 5/7] targets: Pass separate arguments to run_merge() Matt Turner
2020-12-20  2:28 ` [gentoo-catalyst] [PATCH 6/7] targets: Remove make_destpath() function Matt Turner
2020-12-20  2:28 ` [gentoo-catalyst] [PATCH 7/7] targets: Emerge stage1 with --implicit-system-deps=n Matt Turner

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox